> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

> API endpoint to list all connections configured in your Blink workspace.

# List connections



## OpenAPI

````yaml get /workspace/{ws_id}/connections
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspace/{ws_id}/connections:
    get:
      tags:
        - Connections
      summary: List connections
      description: Returns a list of connections by a filter
      operationId: ListConnections
      parameters:
        - name: q
          in: query
          description: >-
            For the RQL query syntax, visit our [RQL query
            documentation](https://docs.blinkops.com/docs/blink-platform/tables/tables-in-workflows#get-a-record)
            in the `RQL Format` tab
          required: true
          schema:
            type: string
        - name: ws_id
          in: path
          description: Workspace ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/api_responses.ResponseWrapper'
                  - type: object
                    properties:
                      results:
                        type: array
                        items:
                          $ref: '#/components/schemas/models.ConnectionEnhanced'
        '400':
          description: Can not retrieve the list of connections
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '404':
          description: Can not find Connections
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api_responses.ResponseWrapper:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        results:
          type: object
        total:
          type: integer
    models.ConnectionEnhanced:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/models.ConnectionAttributes'
        connection_type_id:
          type: string
        created_at:
          type: integer
        created_by:
          type: string
        created_with_o_auth:
          type: boolean
        creation_location:
          type: string
        creation_method:
          type: string
        description:
          type: string
        display_name:
          type: string
        external_id:
          type: string
          description: >-
            ExternalId mapping to external entity identifier associated with
            this connection (used on revoke/uninstall events e.g.)
        full_name:
          type: string
        icon_uri:
          type: string
        id:
          type: string
        is_shared:
          type: boolean
        name:
          type: string
          description: >-
            Connection names are unique per tenant as they are used in playbook
            YAML
        secret_manager:
          type: string
        secret_manager_name:
          type: string
        shared_from:
          type: string
        shared_with:
          type: array
          items:
            type: string
        slug_name:
          type: string
        status:
          type: string
        tenant_id:
          type: string
        type_name:
          type: string
        updated_at:
          type: integer
        updated_by:
          type: string
        used_by:
          $ref: '#/components/schemas/models.UsedByMetric'
        workspace_id:
          type: string
        workspace_name:
          type: string
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
    models.ConnectionAttributes:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/models.ConnectionAttribute'
    models.UsedByMetric:
      type: object
      properties:
        subflows:
          $ref: '#/components/schemas/models.UsedBySubflows'
    models.ConnectionAttribute:
      type: object
      properties:
        value:
          type: object
    models.UsedBySubflows:
      type: object
      properties:
        count:
          type: integer
        names:
          type: array
          items:
            type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````